Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gdbm 
Version:	1.8.3 
Release:	3
License:	GNU/GPL 
URL:		http://www.gnu.org/software/gdbm/gdbm.html
Group:		Databases
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-binown.patch
Patch1:		%{name}-%{version}-DESTDIR.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} is a database indexing library.
Prereq(post,preun): /sbin/install-info

Obsoletes:	%{name}-man < %{version}-%{release}

%description
gdbm is a database indexing library replacement for the traditional 'dbm' and 'ndbm' libraries.
gdbm is useful for those who need to write C applications and need access to a simple and efficient database.
For more details see: http://www.gnu.org/software/gdbm/gdbm.html
 
%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
fi 
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_mandir
%_infodir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 10 2007 Christian Metzen <metzench@ccux-linux.de> 1.8.3-3
- corrected package group
* Fri Nov 18 2005 Christian Wasem <wasem@ccux.linux.de> 1.8.3-2
- rebuilt, removed wrong Obsoletes-Tag, added info install
- removed man package
* Sun Nov 21 2004 Christian Wasem <wasem@ccux.linux.de> 1.8.3-1
- Initial Release  
